Subject: Re: bug#23431: 25.0.93; EWW hangs

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 03 May 2016 19:23:33 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Tue, 03 May 2016 19:04:21 +0200
>> 
>> Most parts of the image formatting doesn't happen until redisplay
>> happens -- `image-animate-timeout' just increases the image index, and
>> then redisplay does all the hard lifting.
>> 
>> While redisplay is doing all that, Emacs isn't allowing any events to
>> fire, I think, so we should be able to see that Emacs is busy...
>
> But why would display of an image be so slow?  It isn't slow with
> simple GIF images.  What am I missing?

Computing animated images is more complicated.  And see the comment I
made about ImageMagick animation implementation.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no